## InfcRequest

InfcRequest — Asynchronous request

## Stability Level

Unstable, unless otherwise indicated

## Properties

guint | node-id | Read / Write / Construct Only
guint | seq | Read / Write / Construct Only

## Types and Values

struct | InfcRequest
struct | InfcRequestClass

## Object Hierarchy

        GObject
        ╰── InfcRequest
            ╰── InfcProgressRequest

## Implemented Interfaces

InfcRequest implements InfRequest.

## Includes

    #include <libinfinity/client/infc-request.h>

## Description

InfcRequest represents an asynchronous operation on the client side, waiting for a reply from the server.

## Functions

## Types and Values

### struct InfcRequest

    struct InfcRequest;

InfcRequest is an opaque data type. You should only access it via the public API functions.

### struct InfcRequestClass

    struct InfcRequestClass {
    };

This structure does not contain any public fields.

## Property Details

### The `“node-id”` property

      “node-id”                  guint

The ID of the node affected by this request.

Owner: InfcRequest

Flags: Read / Write / Construct Only

Default value: 4294967295

### The `“seq”` property

      “seq”                      guint

The sequence number of the request.

Owner: InfcRequest

Flags: Read / Write / Construct Only

Default value: 0

## See Also

InfcBrowser